#
# Copyright (C) 2017-2020 Red Hat, Inc.
#
# Cockpit is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# Cockpit is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with Cockpit; If not, see <http://www.gnu.org/licenses/>.
#

Name:           cockpit-podman
Version:        87
Release:        1.20240516063119121481.main.31.g0d887db%{?dist}
Summary:        Cockpit component for Podman containers
License:        LGPL-2.1-or-later
URL:            https://github.com/cockpit-project/cockpit-podman

Source0:        cockpit-podman-87.31.g0d887db.tar.xz
BuildArch:      noarch
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires:  make
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires:       cockpit-bridge
Requires:       podman >= 2.0.4
# HACK https://github.com/containers/crun/issues/1091
%if 0%{?centos} == 9
Requires:       criu-libs
%endif

Provides: bundled(npm(@patternfly/patternfly)) = 5.3.1
Provides: bundled(npm(@patternfly/react-core)) = 5.3.3
Provides: bundled(npm(@patternfly/react-icons)) = 5.3.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.3.1
Provides: bundled(npm(@patternfly/react-table)) = 5.3.3
Provides: bundled(npm(@patternfly/react-tokens)) = 5.3.1
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(date-fns)) = 3.6.0
Provides: bundled(npm(docker-names)) = 1.2.1
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.2
Provides: bundled(npm(ipaddr.js)) = 2.2.0
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.0
Provides: bundled(npm(tslib)) = 2.6.2
Provides: bundled(npm(xterm-addon-canvas)) = 0.4.0
Provides: bundled(npm(xterm)) = 5.1.0

%description
The Cockpit user interface for Podman containers.

%prep
%setup -q -n cockpit-podman

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Thu May 16 2024 Packit <hello@packit.dev> - 87-1.20240516063119121481.main.31.g0d887db
- Makefile: Update Cockpit lib to 2e968f9835a7d18132df1d6c0bda5715 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- Bump sass from 1.77.0 to 1.77.1 (dependabot[bot])
- Makefile: Update Cockpit lib to 1c93d4b696843ecd3438dcc0ec020979 (Cockpit Project)
- test: Avoid `systemctl --user` in addCleanup() (Martin Pitt)
- dependabot: Group xterm updates (Martin Pitt)
- dependabot: Dial down to weekly (Martin Pitt)
- Makefile: Update Cockpit lib to 46fe9f5ff45aff4e807dd24340466b69 (Cockpit Project)
- test: Adjust expected error message for port conflict to podman 5.0.2 (Martin Pitt)
- Bump sass from 1.76.0 to 1.77.0 (dependabot[bot])
- po: Update from Fedora Weblate (GitHub Workflow)
- Bump stylelint from 16.4.0 to 16.5.0 in the stylelint group (dependabot[bot])
- Bump the patternfly group with 6 updates (dependabot[bot])
- Bump sass from 1.75.0 to 1.76.0 (dependabot[bot])
- Makefile: Update Cockpit lib to 03d7067e47bd6bea6dde7025bfd52ce0 (Cockpit Project)
- Makefile: workaround pasta user containers being broken (Jelle van der Waa)
- Makefile: bump TEST_OS to Fedora-40 (Jelle van der Waa)
- test: update reference-image to Fedora-40 (Jelle van der Waa)
- Bump the react group with 2 updates (dependabot[bot])
- dependabot: Group React and types packages (Martin Pitt)
- packit: Drop testing on CentOS 8 Stream (Martin Pitt)
- Makefile: Update Cockpit lib to 973e32b8d0f3a0d3d1d54714d5c68ba9 (Cockpit Project)
- Bump eslint-plugin-react-hooks in the eslint group (dependabot[bot])
- test: Tighten expected unit for kilobyte (Martin Pitt)
- Right-align CPU and Memory table columns (Martin Pitt)
- Rework display of current container memory usage (Martin Pitt)
- Make the table column headers wide enough (Martin Pitt)
- Bump eslint-plugin-react-hooks (dependabot[bot])
- Bump the patternfly group with 3 updates (dependabot[bot])
- Bump react from 18.2.0 to 18.3.0 (dependabot[bot])
- cockpit-ci: Update container to 2024-04-25 (Cockpit Project)
